Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
source
Update source
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/source \
  --header 'Authorization: <api-key>' \
  --header 'Content-Disposition: <content-disposition>' \
  --header 'Content-Type: application/octet-stream' \
  --header 'Memsource: <memsource>' \
  --data '{}'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/source"

payload = {}
headers = {
    "Memsource": "<memsource>",
    "Content-Disposition": "<content-disposition>",
    "Authorization": "<api-key>",
    "Content-Type": "application/octet-stream"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    Memsource: '<memsource>',
    'Content-Disposition': '<content-disposition>',
    Authorization: '<api-key>',
    'Content-Type': 'application/octet-stream'
  },
  body: JSON.stringify({})
};

fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/source', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "asyncRequest": {
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>"
  },
  "jobs": [
    {
      "filename": "<string>",
      "targetLang": "<string>",
      "uid": "<string>",
      "workflowLevel": 123,
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Memsource
string<application/json>
required

Update source metadata JSON (see endpoint description)

Content-Disposition
string
required

must match pattern ((inline|attachment); )?(filename\*=UTF-8''(.+)|filename="?(.+)"?)

Path Parameters

projectUid
string
required

Project UID

Body

application/octet-stream

Source file binary

The body is of type object.

Response

OK

asyncRequest
object
jobs
object[]